Summary: HTTP Anti Virus Proxy
Name: havp
Version: 0.90
Release: 0.endian8
License: GPL 
Group: Applications/System
URL: http://www.server-side.de
Source0: http://www.server-side.de/download/%{name}-%{version}.tar.gz
Source1: logrotate
Source2: havp.init
Source3: reloadhavp
Source4: de_blacklist.html
Source5: de_dns.html
Source6: de_down.html
Source7: de_error.html
Source8: de_invalid.html
Source9: de_request.html
Source10: de_scanner.html
Source11: de_virus.html
Source12: en_blacklist.html
Source13: en_dns.html
Source14: en_down.html
Source15: en_error.html
Source16: en_invalid.html
Source17: en_request.html
Source18: en_scanner.html
Source19: en_virus.html
Source20: it_blacklist.html
Source21: it_dns.html
Source22: it_down.html
Source23: it_error.html
Source24: it_invalid.html
Source25: it_request.html
Source26: it_scanner.html
Source27: it_virus.html
Source50: havp.daily.cron
Patch1: havp-0.79-umask.patch
Patch2: havp-0.86-increasebacklog.patch

BuildRequires: clamav-devel, glibc-devel
PreReq: clamav
Requires: clamav >= 0.95
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
HAVP (HTTP Antivirus Proxy) is a proxy with a ClamAV anti-virus scanner. The main aims are continuous, non-blocking downloads and smooth scanning of dynamic and password protected HTTP traffic. Havp antivirus proxy has a parent and transparent proxy mode. It can be used with squid or standalone.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
%patch1 -p1
%patch2 -p1

%build
%configure --prefix=/usr --sysconfdir=/etc/havp --enable-ssl-tunnel
%{__make}

%install
%makeinstall
%{__mkdir_p} $RPM_BUILD_ROOT/var/log/havp/
%{__mkdir_p} $RPM_BUILD_ROOT/var/spool/havp/

%{__mkdir_p} $RPM_BUILD_ROOT/etc/rc.d/init.d
%{__mkdir_p} $RPM_BUILD_ROOT/etc/logrotate.d
install -m0644 %{SOURCE1} $RPM_BUILD_ROOT/etc/logrotate.d/havp
install -m0755 %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/havp
%{__mkdir_p} $RPM_BUILD_ROOT/etc/havp/templates
cp -R etc/havp/templates/{en,de,it} ${RPM_BUILD_ROOT}/etc/havp/templates
touch ${RPM_BUILD_ROOT}/etc/havp/{blacklist,whitelist}
cp %{SOURCE4} $RPM_BUILD_ROOT/etc/havp/templates/de/blacklist.html
cp %{SOURCE5} $RPM_BUILD_ROOT/etc/havp/templates/de/dns.html
cp %{SOURCE6} $RPM_BUILD_ROOT/etc/havp/templates/de/down.html
cp %{SOURCE7} $RPM_BUILD_ROOT/etc/havp/templates/de/error.html
cp %{SOURCE8} $RPM_BUILD_ROOT/etc/havp/templates/de/invalid.html
cp %{SOURCE9} $RPM_BUILD_ROOT/etc/havp/templates/de/request.html
cp %{SOURCE10} $RPM_BUILD_ROOT/etc/havp/templates/de/scanner.html
cp %{SOURCE11} $RPM_BUILD_ROOT/etc/havp/templates/de/virus.html
cp %{SOURCE12} $RPM_BUILD_ROOT/etc/havp/templates/en/blacklist.html
cp %{SOURCE13} $RPM_BUILD_ROOT/etc/havp/templates/en/dns.html
cp %{SOURCE14} $RPM_BUILD_ROOT/etc/havp/templates/en/down.html
cp %{SOURCE15} $RPM_BUILD_ROOT/etc/havp/templates/en/error.html
cp %{SOURCE16} $RPM_BUILD_ROOT/etc/havp/templates/en/invalid.html
cp %{SOURCE17} $RPM_BUILD_ROOT/etc/havp/templates/en/request.html
cp %{SOURCE18} $RPM_BUILD_ROOT/etc/havp/templates/en/scanner.html
cp %{SOURCE19} $RPM_BUILD_ROOT/etc/havp/templates/en/virus.html
cp %{SOURCE20} $RPM_BUILD_ROOT/etc/havp/templates/it/blacklist.html
cp %{SOURCE21} $RPM_BUILD_ROOT/etc/havp/templates/it/dns.html
cp %{SOURCE22} $RPM_BUILD_ROOT/etc/havp/templates/it/down.html
cp %{SOURCE23} $RPM_BUILD_ROOT/etc/havp/templates/it/error.html
cp %{SOURCE24} $RPM_BUILD_ROOT/etc/havp/templates/it/invalid.html
cp %{SOURCE25} $RPM_BUILD_ROOT/etc/havp/templates/it/request.html
cp %{SOURCE26} $RPM_BUILD_ROOT/etc/havp/templates/it/scanner.html
cp %{SOURCE27} $RPM_BUILD_ROOT/etc/havp/templates/it/virus.html

%{__mkdir_p} $RPM_BUILD_ROOT/etc/clamav/update.d/
install -m700 -o clamav %{SOURCE3} $RPM_BUILD_ROOT/etc/clamav/update.d/
%{__mkdir_p} $RPM_BUILD_ROOT/var/run/havp

mkdir -p %{buildroot}/etc/cron.daily
%{__install} -m700 %{SOURCE50} %{buildroot}/etc/cron.daily/havp

%files
%defattr(-,root,root)
%config /etc/logrotate.d/havp
/etc/rc.d/init.d/havp
/etc/cron.daily/havp
%dir /etc/havp/
%config(noreplace) /etc/havp/havp.config
%config(noreplace) /etc/havp/havp.config.default
/etc/havp/whitelist
/etc/havp/blacklist
%attr(-,clamav,root) /etc/clamav/update.d/*
%dir /etc/havp/templates
/etc/havp/templates/*
%{_sbindir}/havp
%defattr(0644, clamav, clamav,0755)
%dir /var/log/havp/
%defattr(0640, clamav, clamav,0750)
%dir /var/spool/havp/
%defattr(0640, clamav, nobody,0750)
%dir /var/run/havp/


%post
if grep -qEe "/var[[:space:]]" /etc/fstab; then
    if ! grep -qEe "/var.*mand" /etc/fstab; then
	sed -i -e "s#\(/var[[:space:]]*ext3[[:space:]]*\)\([a-z,]*\)#\1\2,mand#" /etc/fstab
	mount -o remount,mand /var
    fi
fi

if [ -d /var/log/havp ]; then
    chown clamav.clamav -R /var/log/havp
fi

exit 0

%preun
if [ $1 = 0 ] ; then
    /etc/init.d/havp condstop >/dev/null 2>&1
fi

%postun
if [ $1 -ge 1 ]; then
    /etc/init.d/havp condrestart >/dev/null 2>&1
fi
if [ "$1" == 0 ]; then
    if grep -qEe "/var.*mand" /etc/fstab; then
	sed -i -e "s#\(/var[[:space:]]*ext3[[:space:]]*\)\([a-z,]*\),mand\([a-z,]*\)#\1\2\3#" /etc/fstab
	mount -o remount,nomand /var
    fi
fi
exit 0

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Mar 28 2009 Mike Tremaine <mgt@stellarcore.net>
- Update to 0.90 -mgt

* Tue Sep 14 2008 Mike Tremaine <mgt@stellarcore.net>
- Update to 0.89 remove infinite patch as it got accepted upstream -mgt

* Tue Jul 22 2008 Mike Tremaine <mgt@stellarcore.net>
- Added 2 patches from Endian tree backlog and infinte retry, and tmp cleanup cron -mgt

* Sat Apr 19 2008 Mike Tremaine <mgt@stellarcore.net>
- Upgrade to 0.88 clamav 0.93 support

* Mon Apr 18 2007 Mike Tremaine <mgt@stellarcore.net>
- Upgrade to 0.86

* Mon Jun 26 2006 Raphael Vallazza <raphael@endian.it>
- Upgrade to 0.81

* Wed May 03 2006 Raphael Vallazza <raphael@endian.it>
- Fixed error message in posthook

* Wed Apr 12 2006 Peter Warasin <peter@endian.it>
- added umask patch in order to allow the webserver to read out the pidfile

* Mon Apr 03 2006 Peter Warasin <peter@endian.it>
- upgrade to 0.79

* Tue Jan 27 2006 Tobias Erlacher <tobias.erlacher@endian.it> 
- add endian style templates

* Thu Jan 12 2006 Peter Warasin <peter@endian.it>
- move initscript to init.d
- upgrade to 0.76

* Mon Nov 21 2005 Peter Warasin <peter@endian.it>
- upgrade to 0.74

* Fri Jun 03 2005 Peter Warasin <peter@endian.it>
- inital package
